1. Necessary dependencies

Integria IMS is a PHP application that requires a MySQL database in order to function. As of now it only supports MySQL and needs PHP version 5.2 or newer. Due to being a fully WEB application, it can be installed on a server and accessed from any work post with a modern browser (FireFox, Chrome, or Internet Explorer 6 or newer). Minimum working resolution is 1024×768 and we recommend 1366 x 768. The graphs use flash and may need a plugin to be viewed. Integria IMS can work on Windows, Unix or Linux systems as long as dependencies are satisfied. Nevertheless, our recommended platform is CentOS Linux.

Windows

Integria IMS can also be installed on Microsoft Windows operating systems. Integria will automatically install Apache, PHP 5 and MySQL on your OS so you don't need install any other dependencies.

CentOS Dependencies

All necessary dependencies that our system needs for the correct functioning of Integria IMS are:

php php-cli php-gd php-intl curl php-ldap php-imap php-mysql php-mbstring php

A reset of your Apache server will be needed once changes are made:

service httpd restart

Debian dependencies

php5 php5-gd php5-ldap php5-mysql php5-imap apache2 php5-curl

A reset of your Apache server will be needed once changes are made:

service apache2 restart

SUSE Dependencies

php php5-gd php5-ldap php5-mysql php5-imap apache2 php5-gettext php5-mbstring graphviz php5-phar

Integria Documentation